Subject: Installer: Graphical installation failed because of truncated UUID

From: sirgazil <[email-masked]>
Date: Sun, 05 May 2019 11:02:07 -0500

Hi,

I installed the GNU system with the Guix 1.0 ISO installer (https://ftp.gnu.org/gnu/guix/guix-system-install-1.0.0.x86_64-linux.iso.xz). My intention was to complete the installation using the graphical installer, but my attempts failed with an error that pointed to the line in the "config.scm" where the EFI partition UUID was defined (I don't remember the exact error, but I think I mentioned it on #guix).

In my case, the installer generated this:

```
(file-system
  (mount-point "/boot/efi")
  (device (uuid "A0CA-50E" 'fat32))
  (type "vfat"))
```

However, running "blkid" would display the correct UUID as `A0CA-050E`. So, for some reason, the zero before 5 was omitted in the configuration generated by the installer. The issue happened every time I restarted the machine to try the installation again (around 4 times).

Because of this I couldn't finish the installation normally, and had to modify the UUID in the generated "config.scm" by hand (adding the missing 0) and, also manually, run the rest of the necessary commands for installing the system:

    herd start cow-store /mnt
    guix system init /mnt/etc/config.scm /mnt

Completing the process manually also required to assign passwords manually for root and the user I had created during the graphical steps. The passwords indicated for them during the graphical steps were not applied to the installed system.

---
https://sirgazil.bitbucket.io/